Skip to main content
GET
List notes

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

created_before

Return notes created before this date

Example:

"2026-01-27"

created_after

Return notes created after this date

Example:

"2026-01-27"

updated_after

Return notes updated after this date

Example:

"2026-01-27"

folder_id
string

Return notes in this folder and any of its child folders. Use the list folders endpoint to discover folder IDs.

Pattern: ^fol_[a-zA-Z0-9]{14}$
Example:

"fol_4y6LduVdwSKC27"

cursor
string

The cursor to continue from

Example:

"eyJjcmVkZW50aWFsfQ=="

page_size
integer
default:10

Maximum number of notes to return per page

Required range: 1 <= x <= 30
Example:

10

Response

List of notes

notes
object[]
required
hasMore
boolean
required

Whether there are more notes to fetch

Example:

true

cursor
string | null
required

The cursor to continue from

Example:

"eyJjcmVkZW50aWFsfQ=="